Skip to main content
PUT
Update Single Task Agent

Description

Updates an existing single-task agent with new configuration details.

Endpoint

PUT /v3/agents/template/single-task/{agent_id}

Authentication

  • Requires an API key (x-api-key) in the request headers.

Path Parameters

Request Body (JSON)

Authorizations

x-api-key
string
header
required

Path Parameters

agent_id
string
required

Unique identifier of the single-task agent to update.

Body

application/json
name
string
description
string
agent_role
string
agent_instructions
string
examples
string
features
object[]
tool
string
tool_usage_description
string
llm_credential_id
string
provider_id
string
model
string
top_p
number
temperature
number
response_format
object

Response

Single-task agent updated successfully

message
string
Example:

"Agent updated successfully."